/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer(s): Xavier Delplanque
 * --------------------------------------------------------------------------
 * $Id: URLWSDLHandler.java,v 1.5 2004/07/27 14:21:30 sauthieg Exp $
 * --------------------------------------------------------------------------
*/

package org.objectweb.jonas.ws.handler;

import org.objectweb.jonas_ws.deployment.api.ServiceDesc;

import org.objectweb.jonas.ws.WSServiceException;

/**
 * In charge of published a given WSDL to an URL. Not used
 *
 * @author Guillaume Sauthier
 * @author Xavier Delplanque
 */
public class URLWSDLHandler implements WSDLHandler {

    /**
     * Create a new instance of URLWSDLHandler.
     */
    public URLWSDLHandler() { }

    /**
     * Publish the given WSDL to the url location.
     *
     * @param sd the Service containing the WSDL file to publish.
     */
    public void publish(ServiceDesc sd) throws WSServiceException { }
}
